# Copyright (C) 2015-2017 XLAB, Ltd.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.


# -*- coding: utf-8 -*-
# Generated by Django 1.9.2 on 2016-04-11 03:57
from __future__ import unicode_literals

import django.db.models.deletion
from django.db import migrations, models


class Migration(migrations.Migration):
    replaces = [(b'ofcloud', '0001_initial'), (b'ofcloud', '0002_simulation_cases'),
                (b'ofcloud', '0003_simulationinstance'), (b'ofcloud', '0004_auto_20160219_0401'),
                (b'ofcloud', '0005_auto_20160219_0438'), (b'ofcloud', '0006_instance_instance_id'),
                (b'ofcloud', '0007_instance_snap_task_id')]

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='Simulation',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('simulation_name', models.CharField(max_length=200)),
                ('image', models.CharField(max_length=100)),
                ('flavor', models.CharField(max_length=100)),
                ('container_name', models.CharField(max_length=50)),
                ('input_data_object', models.CharField(max_length=100)),
                ('cases', models.TextField(blank=True)),
            ],
        ),
        migrations.CreateModel(
            name='SimulationInstance',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=100)),
                ('config', models.TextField(blank=True)),
                ('ip', models.TextField(max_length=15)),
            ],
        ),
        migrations.AlterModelOptions(
            name='simulationinstance',
            options={'ordering': ('name',)},
        ),
        migrations.AddField(
            model_name='simulationinstance',
            name='simulation',
            field=models.ForeignKey(default=-1, on_delete=django.db.models.deletion.CASCADE, to='ofcloud.Simulation'),
            preserve_default=False,
        ),
        migrations.RenameModel(
            old_name='SimulationInstance',
            new_name='Instance',
        ),
        migrations.AddField(
            model_name='instance',
            name='instance_id',
            field=models.TextField(default='', max_length=100),
            preserve_default=False,
        ),
        migrations.AddField(
            model_name='instance',
            name='snap_task_id',
            field=models.CharField(default='', max_length=100),
            preserve_default=False,
        ),
    ]
